comedi_set_routing
Prev | 5.4.6. Extensions | Next

## Name

comedi_set_routing — select a routing for an output

## Synopsis

    #include <comedilib.h>

`int comedi_set_routing(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int routing`)`;

## Status

alpha

## Description

This function configures a mutiplexed output channel which can output a variety of different signals (such as NI's RTSI and PFI lines). The `routing` parameter selects which signal should be routed to appear on the selected output channel, and is driver-dependant.

The routing may be queried with the `comedi_get_routing` function. This function is only useable on subdevices that provide support for the `INSN_CONFIG_SET_ROUTING` configuration instruction.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_set_other_source | Home | comedi_dio_bitfield